## com.google.appengine.api.blobstore
Class UnsupportedRangeFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.blobstore.RangeFormatException
                      com.google.appengine.api.blobstore.UnsupportedRangeFormatException

All Implemented Interfaces:
  java.io.Serializable

    public class UnsupportedRangeFormatException

extends RangeFormatException

`UnsupportedRangeFormatException` is an unchecked exception that is thrown when an valid but unsupported Range header format is provided.

See Also:
  Serialized Form

Constructor Summary
`UnsupportedRangeFormatException(java.lang.String message)`
`UnsupportedRangeFormatException(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedRangeFormatException

    public UnsupportedRangeFormatException(java.lang.String message)

### UnsupportedRangeFormatException

    public UnsupportedRangeFormatException(java.lang.String message,
                                           java.lang.Throwable cause)